Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb3.embedded
Class ServletBootstrapListener

    java.lang.Object
      org.jboss.ejb3.embedded.ServletBootstrapListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class ServletBootstrapListener

extends java.lang.Object
implements javax.servlet.ServletContextListener

Comment

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Field Summary
`protected java.util.List<java.net.URL>` | `aopDeployments`
`protected java.util.List<org.jboss.kernel.spi.deployment.KernelDeployment>` | `deployments`
`static java.util.HashSet` | `ignoredJars`
`protected org.jboss.kernel.Kernel` | `kernel`

Constructor Summary
`ServletBootstrapListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)`
`protected void` | `createKernel()`
`protected void` | `deployXmlResource(java.lang.String resource)`
`protected java.util.Hashtable` | `getInitialContextProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kernel

    protected org.jboss.kernel.Kernel kernel

### deployments

    protected java.util.List<org.jboss.kernel.spi.deployment.KernelDeployment> deployments

### aopDeployments

    protected java.util.List<java.net.URL> aopDeployments

### ignoredJars

    public static java.util.HashSet ignoredJars

Constructor Detail

### ServletBootstrapListener

    public ServletBootstrapListener()

Method Detail

### createKernel

    protected void createKernel()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deployXmlResource

    protected void deployXmlResource(java.lang.String resource)

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### getInitialContextProperties

    protected java.util.Hashtable getInitialContextProperties()

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD